#!/bin/bash

#
#HCCAD startup script
#

XDG_DATA_HOME="/var/tmp"
#EXTEND_LIB_PATH="/usr/lib"

Package_Name="com.gstarcad.cad"
Version="v2021"
Languge="zh-cn"

Env_User_Data=$XDG_DATA_HOME

if [ -z $Env_User_Data ]
then
        Env_User_Data=$HOME             
fi

if [ -z $Env_User_Data ]
then
        Env_User_Data="/var/tmp"             
fi

export Env_User_Data=${Env_User_Data}/${Package_Name}

input_method_framework=fcitx
is_exist_fcitx=`ps -ef | grep [f]citx`

if [ -z "$is_exist_fcitx" ] ; then
	input_method_framework=ibus
fi


export XMODIFIERS=@im=${input_method_framework}

export XIM=${input_method_framework}  

export XIM_PROGRAM=${input_method_framework}  

export GTK_IM_MODULE=${input_method_framework}  

export QT_IM_MODULE=${input_method_framework}


CAD_RUN_PATH="/opt/apps/${Package_Name}/files"
export QT_QPA_PLATFORM_PLUGIN_PATH=${CAD_RUN_PATH}
export QT_DEBUG_PLUGINS=1
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${CAD_RUN_PATH}":"${CAD_RUN_PATH}/drivers":"${CAD_RUN_PATH}/systemlibs"

display_server_type=`echo $WAYLAND_DISPLAY`
if [ "${display_server_type}" = "*wayland*" ]; then
	export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:"${CAD_RUN_PATH}/wayland"
fi

#$BINARY
"${CAD_RUN_PATH}/gcad" "$1"

